summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorcvs2svn Import User <samba-bugs@samba.org>2002-11-15 13:53:03 +0000
committercvs2svn Import User <samba-bugs@samba.org>2002-11-15 13:53:03 +0000
commited3d7fd7b5d3c1954e0e1fcb21600b2937f4f249 (patch)
tree941d106aecbb5bef36c6bb209a36ae92cde7da9b /source3/script
parent8fc6e1a5aae66fe2b76c4fd092c7183f95301279 (diff)
parent3b06627f00ba4621011383e0fab0b0ba5d4e4645 (diff)
downloadsamba-ed3d7fd7b5d3c1954e0e1fcb21600b2937f4f249.tar.gz
samba-ed3d7fd7b5d3c1954e0e1fcb21600b2937f4f249.tar.bz2
samba-ed3d7fd7b5d3c1954e0e1fcb21600b2937f4f249.zip
This commit was manufactured by cvs2svn to create branch 'SAMBA_3_0'.(This used to be commit 2662e351f2f8802a3bf13df3e7e3f0c1497fdb1c)
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/installmodules.sh26
-rwxr-xr-xsource3/script/uninstallmodules.sh37
2 files changed, 63 insertions, 0 deletions
diff --git a/source3/script/installmodules.sh b/source3/script/installmodules.sh
new file mode 100755
index 0000000000..9b9d950ca2
--- /dev/null
+++ b/source3/script/installmodules.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+INSTALLPERMS=$1
+BASEDIR=$2
+LIBDIR=$3
+shift
+shift
+shift
+
+for p in $*; do
+ p2=`basename $p`
+ echo Installing $p as $LIBDIR/$p2
+ cp -f $p $LIBDIR/
+ chmod $INSTALLPERMS $LIBDIR/$p2
+done
+
+
+cat << EOF
+======================================================================
+The modules are installed. You may uninstall the modules using the
+command "make uninstallmodules" or "make uninstall" to uninstall
+binaries, man pages, shell scripts and modules.
+======================================================================
+EOF
+
+exit 0
diff --git a/source3/script/uninstallmodules.sh b/source3/script/uninstallmodules.sh
new file mode 100755
index 0000000000..30582a39fa
--- /dev/null
+++ b/source3/script/uninstallmodules.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+#4 July 96 Dan.Shearer@UniSA.edu.au
+
+INSTALLPERMS=$1
+BASEDIR=$2
+LIBDIR=$3
+shift
+shift
+shift
+
+if [ ! -d $LIBDIR ]; then
+ echo Directory $LIBDIR does not exist!
+ echo Do a "make installmodules" or "make install" first.
+ exit 1
+fi
+
+for p in $*; do
+ p2=`basename $p`
+ if [ -f $LIBDIR/$p2 ]; then
+ echo Removing $LIBDIR/$p2
+ rm -f $LIBDIR/$p2
+ if [ -f $LIBDIR/$p2 ]; then
+ echo Cannot remove $LIBDIR/$p2 ... does $USER have privileges?
+ fi
+ fi
+done
+
+
+cat << EOF
+======================================================================
+The modules have been uninstalled. You may restore the modules using
+the command "make installmodules" or "make install" to install
+binaries, modules, man pages and shell scripts.
+======================================================================
+EOF
+
+exit 0